# Get Subscriptions

This endpoint lists all of your current webhook subscriptions, and returns a paginated list of Subscription objects.

Endpoint: GET /api/v1/subscriptions/
Version: Version: e5dd1ef9
Security: CodeBearer

## Query parameters:

  - `cursor` (string)

  - `limit` (integer)

## Response 200 fields (application/json):

  - `prev_page` (any)

  - `next_page` (any)

  - `items` (array, required)

  - `items.description` (string)
    A description of the webhook's intended use.

  - `items.events` (array, required)
    Which types of events this webhook should be invoked for.

  - `items.url` (string, required)
    The webhook URL to invoke.

  - `items.retry_policy` (any)
    The retry policy to use if Jiko encounters HTTP errors when calling subscription URLs.

  - `items.id` (string, required)

  - `items.time_created` (string, required)

  - `items.updated_at` (string, required)

  - `items.status` (string, required)
    Enum: "enabled", "disabled"

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)


